<?php
global $WPMegaIntro;
?>
<div class="wrap">
    <h2><?php echo esc_html__('WP Mega Intro','wpmegaintro'); ?></h2>

    <form method="post" action="<?php echo esc_url($_SERVER['REQUEST_URI']); ?>">
    	<?php $WPMegaIntro->the_nonce(); ?>
    	<table class="form-table">
			<tbody>
				<tr>
					<th scope="row" valign="top"><?php echo esc_html__('Active','wpmegaintro'); ?></th>
					<td>
						<label>
							<select name="<?php echo esc_html($WPMegaIntro->get_field_name('page_intro_active')); ?>">
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_active') === 'yes') ? 'selected' : '' ; ?>
								<option value="yes" <?php echo  esc_html($selected); ?>><?php echo esc_html__('Active','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_active') === 'no') ? 'selected' : '' ; ?>
								<option value="no" <?php echo  esc_html($selected); ?>><?php echo esc_html__('Deactive','wpmegaintro'); ?></option>			
							</select>
						</label>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top"><?php echo esc_html__('Active Only HomePage / Pages','wpmegaintro'); ?></th>
					<td>
						<label>
							<select name="<?php echo  esc_html($WPMegaIntro->get_field_name('page_intro_active_pages')); ?>">
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_active_pages') === 'homepage') ? 'selected' : '' ; ?>
								<option value="homepage" <?php echo  esc_html($selected); ?>><?php echo esc_html__('Only Homepage','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_active_pages') === 'allpages') ? 'selected' : '' ; ?>
								<option value="allpages" <?php echo  esc_html($selected); ?>><?php echo esc_html__('All Pages','wpmegaintro'); ?></option>			
							</select>
						</label>
					</td>
				</tr>				
				<tr>
					<th scope="row" valign="top"><?php echo esc_html__('Select Page','wpmegaintro'); ?></th>
					<td>
						<label>
							<select name="<?php echo  esc_html($WPMegaIntro->get_field_name('page_intro_id')); ?>"> 
								<option selected="selected" disabled="disabled" value=""><?php echo esc_html__('Select Page','wpmegaintro'); ?></option> 
								<?php
									$selected_page = $WPMegaIntro->get_setting('page_intro_id');
									$pages = get_pages(); 
									foreach ( $pages as $page ) {
										echo  '<option value="' . $page->ID . '" ';
										if($page->ID == $selected_page ) { 
											echo 'selected="selected"';
										}
										echo '>';
										echo esc_html($page->post_title);
										echo '</option>';
									}
								?>
							</select>
						</label>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top"><?php echo esc_html__('Intro Type','wpmegaintro'); ?></th>
					<td>
						<label>
							<select name="<?php echo esc_html($WPMegaIntro->get_field_name('page_intro_type')); ?>">
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_type') === 'normal') ? 'selected' : '' ; ?>
								<option value="normal" <?php echo  esc_html($selected); ?>><?php echo esc_html__('Normal','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_type') === 'session') ? 'selected' : '' ; ?>
								<option value="session" <?php echo  esc_html($selected); ?>><?php echo esc_html__('Session','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_type') === 'cookie') ? 'selected' : '' ; ?>
								<option value="cookie" <?php echo  esc_html($selected); ?>><?php echo esc_html__('Cookie','wpmegaintro'); ?></option>							
							</select>
						</label>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top"><?php echo esc_html__('Cookie Value','wpmegaintro'); ?><br></th>
					<td>
						<label>
							<select name="<?php echo  esc_html($WPMegaIntro->get_field_name('page_intro_cookie_value')); ?>">
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '60') ? 'selected' : '' ; ?>
								<option value="60" <?php echo  esc_html($selected); ?>><?php echo esc_html__('1 Minute','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '300') ? 'selected' : '' ; ?>
								<option value="300" <?php echo esc_html($selected); ?>><?php echo esc_html__('5 Minutes','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '900') ? 'selected' : '' ; ?>
								<option value="900" <?php echo esc_html($selected); ?>><?php echo esc_html__('15 Minutes','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '1800') ? 'selected' : '' ; ?>
								<option value="1800" <?php echo esc_html($selected); ?>><?php echo esc_html__('30 Minutes','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '3600') ? 'selected' : '' ; ?>
								<option value="3600" <?php echo esc_html($selected); ?>><?php echo esc_html__('60 Minutes','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '7200') ? 'selected' : '' ; ?>
								<option value="7200" <?php echo esc_html($selected); ?>><?php echo esc_html__('2 Hours','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '21600') ? 'selected' : '' ; ?>
								<option value="21600" <?php echo esc_html($selected); ?>><?php echo esc_html__('6 Hours','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '43200') ? 'selected' : '' ; ?>
								<option value="43200" <?php echo esc_html($selected); ?>><?php echo esc_html__('12 Hours','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '86400') ? 'selected' : '' ; ?>
								<option value="86400" <?php echo esc_html($selected); ?>><?php echo esc_html__('24 Hours','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '172800') ? 'selected' : '' ; ?>
								<option value="172800" <?php echo esc_html($selected); ?>><?php echo esc_html__('2 Days','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '604800') ? 'selected' : '' ; ?>
								<option value="604800" <?php echo esc_html($selected); ?>><?php echo esc_html__('7 Days','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '1209600') ? 'selected' : '' ; ?>
								<option value="1209600" <?php echo esc_html($selected); ?>><?php echo esc_html__('14 Days','wpmegaintro'); ?></option>
								<?php $selected = ($WPMegaIntro->get_setting('page_intro_cookie_value') === '2592000') ? 'selected' : '' ; ?>
								<option value="2592000" <?php echo esc_html($selected); ?>><?php echo esc_html__('1 Month','wpmegaintro'); ?></option>								
							</select>
						</label>
					</td>
				</tr>	
				<tr>
					<th scope="row" valign="top"><?php echo esc_html__('Url Favicon','wpmegaintro'); ?></th>
					<td>
						<label>
							<input type="text" name="<?php echo esc_html($WPMegaIntro->get_field_name('favicon_url')); ?>" value="<?php echo esc_html($WPMegaIntro->get_setting('favicon_url')); ?>" />
						</label>
					</td>
				</tr>
			</tbody>
    	</table>
		<h1>Technical info about Cookie Policy<h1>
		<h2>Intro Type</h2>
		<ul>
			<li>Normal: no cookie/session variable storaged</li>
			<li>Cookie: Cookie name setted: <strong>FirstVisit</strong></li>
			<li>Session: session variable name setted: <strong>SessionFirstVisit</strong></li>
		</ul>	
    	<input class="button-primary" type="submit" value="<?php echo esc_html__('Save Settings','wpmegaintro'); ?>" />
    </form>
</div>