<?php
/*
File: inc/functions.php
Description: Plugin functions
Plugin: WP Mega Intro
Author: AD-THEME
*/

// Template Redirect

add_action( 'template_redirect', 'wpmegaintro_page' );

function wpmegaintro_page() {
	$wpmi_settings = get_option('wpmegaintro_settings');
	$page_intro_active = $wpmi_settings['page_intro_active'];
	$page_intro_active_pages = $wpmi_settings['page_intro_active_pages'];
	$page_intro_type = $wpmi_settings['page_intro_type'];
	$page_intro_cookie_value = $wpmi_settings['page_intro_cookie_value'];

	if($page_intro_active == 'yes') {
		
		if($page_intro_active_pages == 'homepage') {
		
			if ( (is_home() || is_front_page()) ) {
				/* NORMAL */
				if($page_intro_type == 'normal') {
					add_filter( 'template_include', 'wpmegaintro_tpl' );
				}
				/* SESSION */
				if($page_intro_type == 'session') {	
					session_start();
					if (!isset($_SESSION['SessionFirstVisit'])) {
						$_SESSION['SessionFirstVisit'] = 1;
						add_filter( 'template_include', 'wpmegaintro_tpl' );
					}
				}
				/* COOKIE */
				if($page_intro_type == 'cookie') {
					if (!isset($_COOKIE['FirstVisit'])) {
						setcookie ('FirstVisit', 'yes', time() + $page_intro_cookie_value);		
						add_filter( 'template_include', 'wpmegaintro_tpl' );
					}
				}			
			}
		
		} else {
		
			if($page_intro_type == 'normal') {
				add_filter( 'template_include', 'wpmegaintro_tpl' );
			}
			/* SESSION */
			if($page_intro_type == 'session') {	
				session_start();
    			if (!isset($_SESSION['SessionFirstVisit'])) {	
					$_SESSION['SessionFirstVisit'] = 1;
					add_filter( 'template_include', 'wpmegaintro_tpl' );
				}
			}
			/* COOKIE */
			if($page_intro_type == 'cookie') {
    			if (!isset($_COOKIE['FirstVisit'])) {
					setcookie ('FirstVisit', 'yes', time() + $page_intro_cookie_value);		
					add_filter( 'template_include', 'wpmegaintro_tpl' );
				}
			}			
			
		}
	}
}

function wpmegaintro_tpl() {
       
	$layout = WPMI_DIR . '/inc/template.php';

	return $layout;
  
}





// Patterns

function wpmegaintro_block_pattern_category() {
	register_block_pattern_category( 'wpmegaintro-patterns', array(
		'label' => esc_html__( 'Wp Mega Intro', 'wpmegaintro' )
	) );
}

add_action( 'init', 'wpmegaintro_block_pattern_category' );



function wpmegaintro_register_my_patterns() {
	register_block_pattern(
		'wpmegaintro/wpmegaintro-pattern-image-background',
		 array(
		  'title'       => esc_html__( 'Image Background', 'wpmegaintro' ),
		  'keywords'    => esc_html__( 'Wp Mega Intro', 'wpmegaintro' ),
		  'categories'  => array( 'wpmegaintro-patterns' ),
		  'description' => esc_html__( 'Image Background', 'Image Background with Call to action', 'wpmegaintro' ),
		  'content'     => '<!-- wp:cover {"url":"https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/10.jpg","id":47,"dimRatio":50,"minHeight":100,"minHeightUnit":"vh","isDark":false,"align":"full"} -->
<div class="wp-block-cover alignfull is-light" style="min-height:100vh"><span aria-hidden="true" class="wp-block-cover__background has-background-dim"></span><img class="wp-block-cover__image-background wp-image-47" alt="" src="https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/10.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:group {"align":"full","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","level":3,"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}}}} -->
<h3 class="has-text-align-center" style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0"><strong>WELCOME TO</strong></h3>
<!-- /wp:heading -->

<!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"top":"0","right":"0","bottom":"0","left":"0"}}},"textColor":"luminous-vivid-orange"} -->
<h2 class="has-text-align-center has-luminous-vivid-orange-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0"><strong>WP MEGA INTRO</strong></h2>
<!-- /wp:heading -->

<!-- wp:heading {"textAlign":"center","level":5,"style":{"spacing":{"margin":{"top":"0","right":"0","bottom":"0","left":"0"}}},"textColor":"base"} -->
<h5 class="has-text-align-center has-base-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0"><strong>enter to our site</strong></h5>
<!-- /wp:heading -->

<!-- wp:paragraph -->
<p></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button {"textColor":"base","width":50,"style":{"border":{"radius":"51px"},"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}},"color":{"background":"#ff6a00b0"}},"className":"is-style-fill","fontSize":"large"} -->
<div class="wp-block-button has-custom-width wp-block-button__width-50 has-custom-font-size is-style-fill has-large-font-size"><a class="wp-block-button__link has-base-color has-text-color has-background wp-element-button" href="https://demo.ad-theme.com/wp/plugins/wpmegaintro/" style="border-radius:51px;background-color:#ff6a00b0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0" rel="">SKIP INTRO</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div></div>
<!-- /wp:cover -->',
		  )
	);
	register_block_pattern(
		'wpmegaintro/wpmegaintro-pattern-video-background',
		 array(
		  'title'       => esc_html__( 'Video Background', 'wpmegaintro' ),
		  'keywords'    => esc_html__( 'Wp Mega Intro', 'wpmegaintro' ),
		  'categories'  => array( 'wpmegaintro-patterns' ),
		  'description' => esc_html__( 'Video Background', 'Video Background with Call to action', 'wpmegaintro' ),
		  'content'     => '<!-- wp:cover {"url":"https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2022/12/SampleVideo_360x240_1mb.mp4","id":9,"dimRatio":50,"backgroundType":"video","minHeight":100,"minHeightUnit":"vh","isDark":false,"align":"full"} -->
<div class="wp-block-cover alignfull is-light" style="min-height:100vh"><span aria-hidden="true" class="wp-block-cover__background has-background-dim"></span><video class="wp-block-cover__video-background intrinsic-ignore" autoplay muted loop playsinline src="https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2022/12/SampleVideo_360x240_1mb.mp4" data-object-fit="cover"></video><div class="wp-block-cover__inner-container"><!-- wp:group {"align":"full","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","level":3,"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}}}} -->
<h3 class="has-text-align-center" style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0"><strong>WELCOME TO</strong></h3>
<!-- /wp:heading -->

<!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"top":"0","right":"0","bottom":"0","left":"0"}}},"textColor":"luminous-vivid-orange"} -->
<h2 class="has-text-align-center has-luminous-vivid-orange-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0"><strong>WP MEGA INTRO</strong></h2>
<!-- /wp:heading -->

<!-- wp:heading {"textAlign":"center","level":5,"style":{"spacing":{"margin":{"top":"0","right":"0","bottom":"0","left":"0"}}},"textColor":"base"} -->
<h5 class="has-text-align-center has-base-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0"><strong>enter to our site</strong></h5>
<!-- /wp:heading -->

<!-- wp:paragraph -->
<p></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button {"textColor":"base","width":50,"style":{"border":{"radius":"51px"},"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}},"color":{"background":"#ff6a00b0"}},"className":"is-style-fill","fontSize":"large"} -->
<div class="wp-block-button has-custom-width wp-block-button__width-50 has-custom-font-size is-style-fill has-large-font-size"><a class="wp-block-button__link has-base-color has-text-color has-background wp-element-button" href="https://demo.ad-theme.com/wp/plugins/wpmegaintro/" style="border-radius:51px;background-color:#ff6a00b0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0" rel="">SKIP INTRO</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div></div>
<!-- /wp:cover -->',
		  )
	);
	register_block_pattern(
		'wpmegaintro/wpmegaintro-pattern-intro-with-audio',
		 array(
		  'title'       => esc_html__( 'Intro with Audio', 'wpmegaintro' ),
		  'keywords'    => esc_html__( 'Wp Mega Intro', 'wpmegaintro' ),
		  'categories'  => array( 'wpmegaintro-patterns' ),
		  'description' => esc_html__( 'Intro with Audio', 'Intro with Audio', 'wpmegaintro' ),
		  'content'     => '<!-- wp:cover {"url":"https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/10.jpg","id":47,"dimRatio":50,"minHeight":100,"minHeightUnit":"vh","isDark":false,"align":"full"} -->
<div class="wp-block-cover alignfull is-light" style="min-height:100vh"><span aria-hidden="true" class="wp-block-cover__background has-background-dim"></span><img class="wp-block-cover__image-background wp-image-47" alt="" src="https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/10.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:group {"align":"full","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","level":3,"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}}}} -->
<h3 class="has-text-align-center" style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0"><strong>WELCOME TO</strong></h3>
<!-- /wp:heading -->

<!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column {"verticalAlignment":"center","width":"100%"} -->
<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:100%"><!-- wp:embed {"url":"https://soundcloud.com/shchxango","type":"rich","providerNameSlug":"soundcloud","responsive":true,"className":"wp-embed-aspect-4-3 wp-has-aspect-ratio"} -->
<figure class="wp-block-embed is-type-rich is-provider-soundcloud wp-block-embed-soundcloud wp-embed-aspect-4-3 wp-has-aspect-ratio"><div class="wp-block-embed__wrapper">
https://soundcloud.com/shchxango
</div></figure>
<!-- /wp:embed --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:paragraph -->
<p></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button {"textColor":"base","width":25,"style":{"border":{"radius":"30px"},"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}},"color":{"background":"#00000087"}},"className":"is-style-fill","fontSize":"large"} -->
<div class="wp-block-button has-custom-width wp-block-button__width-25 has-custom-font-size is-style-fill has-large-font-size"><a class="wp-block-button__link has-base-color has-text-color has-background wp-element-button" href="https://demo.ad-theme.com/wp/plugins/wpmegaintro/page-after-intro/" style="border-radius:30px;background-color:#00000087;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0" rel="">SKIP</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div></div>
<!-- /wp:cover -->',
		  )
	);		
	register_block_pattern(
		'wpmegaintro/wpmegaintro-pattern-intro-with-video',
		 array(
		  'title'       => esc_html__( 'Intro with Video', 'wpmegaintro' ),
		  'keywords'    => esc_html__( 'Wp Mega Intro', 'wpmegaintro' ),
		  'categories'  => array( 'wpmegaintro-patterns' ),
		  'description' => esc_html__( 'Intro with video', 'Intro with video', 'wpmegaintro' ),
		  'content'     => '<!-- wp:cover {"url":"https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/10.jpg","id":47,"dimRatio":50,"minHeight":100,"minHeightUnit":"vh","isDark":false,"align":"full"} -->
<div class="wp-block-cover alignfull is-light" style="min-height:100vh"><span aria-hidden="true" class="wp-block-cover__background has-background-dim"></span><img class="wp-block-cover__image-background wp-image-47" alt="" src="https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/10.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:group {"align":"full","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","level":3,"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}}}} -->
<h3 class="has-text-align-center" style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0"><strong>WELCOME TO</strong></h3>
<!-- /wp:heading -->

<!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column {"verticalAlignment":"center","width":"100%"} -->
<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:100%"><!-- wp:embed {"url":"https://www.youtube.com/watch?v=LyzOq40rpwQ","type":"video","providerNameSlug":"youtube","responsive":true,"className":"wp-embed-aspect-16-9 wp-has-aspect-ratio"} -->
<figure class="wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio"><div class="wp-block-embed__wrapper">
https://www.youtube.com/watch?v=LyzOq40rpwQ
</div></figure>
<!-- /wp:embed --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:paragraph -->
<p></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button {"textColor":"base","width":25,"style":{"border":{"radius":"30px"},"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}},"color":{"background":"#00000087"}},"className":"is-style-fill","fontSize":"large"} -->
<div class="wp-block-button has-custom-width wp-block-button__width-25 has-custom-font-size is-style-fill has-large-font-size"><a class="wp-block-button__link has-base-color has-text-color has-background wp-element-button" href="https://demo.ad-theme.com/wp/plugins/wpmegaintro/page-after-intro/" style="border-radius:30px;background-color:#00000087;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0" rel="">SKIP</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div></div>
<!-- /wp:cover -->',
		  )
	);
	register_block_pattern(
		'wpmegaintro/wpmegaintro-pattern-intro-double-language',
		 array(
		  'title'       => esc_html__( 'Intro with double language', 'wpmegaintro' ),
		  'keywords'    => esc_html__( 'Wp Mega Intro', 'wpmegaintro' ),
		  'categories'  => array( 'wpmegaintro-patterns' ),
		  'description' => esc_html__( 'Intro with double language', 'Intro with double language', 'wpmegaintro' ),
		  'content'     => '<!-- wp:cover {"url":"https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/10.jpg","id":47,"dimRatio":50,"minHeight":100,"minHeightUnit":"vh","isDark":false,"align":"full"} -->
<div class="wp-block-cover alignfull is-light" style="min-height:100vh"><span aria-hidden="true" class="wp-block-cover__background has-background-dim"></span><img class="wp-block-cover__image-background wp-image-47" alt="" src="https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/10.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:group {"align":"full","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","level":3,"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}}}} -->
<h3 class="has-text-align-center" style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0"><strong>WELCOME TO</strong></h3>
<!-- /wp:heading -->

<!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"top":"0","right":"0","bottom":"0","left":"0"}}},"textColor":"luminous-vivid-orange"} -->
<h2 class="has-text-align-center has-luminous-vivid-orange-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0"><strong>WP MEGA INTRO</strong></h2>
<!-- /wp:heading -->

<!-- wp:heading {"textAlign":"center","level":5,"style":{"spacing":{"margin":{"top":"0","right":"0","bottom":"0","left":"0"}}},"textColor":"base"} -->
<h5 class="has-text-align-center has-base-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0"><strong>enter to our site</strong></h5>
<!-- /wp:heading -->

<!-- wp:paragraph -->
<p></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column -->
<div class="wp-block-column"><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button {"textColor":"base","width":25,"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}},"color":{"background":"#0000007a"},"border":{"radius":"0px"}},"className":"is-style-fill","fontSize":"large"} -->
<div class="wp-block-button has-custom-width wp-block-button__width-25 has-custom-font-size is-style-fill has-large-font-size"><a class="wp-block-button__link has-base-color has-text-color has-background wp-element-button" href="https://demo.ad-theme.com/wp/plugins/wpmegaintro/page-after-intro/" style="border-radius:0px;background-color:#0000007a;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0" rel="">ENG</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div>
<!-- /wp:column -->

<!-- wp:column -->
<div class="wp-block-column"><!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button {"textColor":"base","width":25,"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}},"color":{"background":"#0000007a"},"border":{"radius":"0px"}},"className":"is-style-fill","fontSize":"large"} -->
<div class="wp-block-button has-custom-width wp-block-button__width-25 has-custom-font-size is-style-fill has-large-font-size"><a class="wp-block-button__link has-base-color has-text-color has-background wp-element-button" href="https://demo.ad-theme.com/wp/plugins/wpmegaintro/page-after-intro/" style="border-radius:0px;background-color:#0000007a;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0" rel="">IT</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div></div>
<!-- /wp:cover -->',
		  )
	);
	register_block_pattern(
		'wpmegaintro/wpmegaintro-pattern-intro-with-social',
		 array(
		  'title'       => esc_html__( 'Intro with social', 'wpmegaintro' ),
		  'keywords'    => esc_html__( 'Wp Mega Intro', 'wpmegaintro' ),
		  'categories'  => array( 'wpmegaintro-patterns' ),
		  'description' => esc_html__( 'Intro with social', 'Intro with social', 'wpmegaintro' ),
		  'content'     => '<!-- wp:cover {"url":"https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/13.jpg","id":48,"dimRatio":30,"minHeight":100,"minHeightUnit":"vh","isDark":false,"align":"full","fontSize":"large"} -->
<div class="wp-block-cover alignfull is-light has-large-font-size" style="min-height:100vh"><span aria-hidden="true" class="wp-block-cover__background has-background-dim-30 has-background-dim"></span><img class="wp-block-cover__image-background wp-image-48" alt="" src="https://demo.ad-theme.com/wp/plugins/wpmegaintro/wp-content/uploads/sites/3/2019/06/13.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:group {"align":"full","layout":{"type":"constrained","justifyContent":"center"}} -->
<div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"top":"0","right":"0","bottom":"0","left":"0"}}},"textColor":"luminous-vivid-orange"} -->
<h2 class="has-text-align-center has-luminous-vivid-orange-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0"><strong>WELCOME</strong></h2>
<!-- /wp:heading -->

<!-- wp:heading {"textAlign":"center","level":5,"style":{"spacing":{"margin":{"top":"var:preset|spacing|30","right":"var:preset|spacing|30","bottom":"var:preset|spacing|30","left":"var:preset|spacing|30"}}},"textColor":"base"} -->
<h5 class="has-text-align-center has-base-color has-text-color" style="margin-top:var(--wp--preset--spacing--30);margin-right:var(--wp--preset--spacing--30);margin-bottom:var(--wp--preset--spacing--30);margin-left:var(--wp--preset--spacing--30)"><strong>enter to our site</strong></h5>
<!-- /wp:heading --></div>
<!-- /wp:group -->

<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button {"textColor":"luminous-vivid-orange","width":25,"style":{"border":{"radius":"51px"},"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"}},"color":{"background":"#036299bd"}},"className":"is-style-fill","fontSize":"large"} -->
<div class="wp-block-button has-custom-width wp-block-button__width-25 has-custom-font-size is-style-fill has-large-font-size"><a class="wp-block-button__link has-luminous-vivid-orange-color has-text-color has-background wp-element-button" href="https://demo.ad-theme.com/wp/plugins/wpmegaintro/" style="border-radius:51px;background-color:#036299bd;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0" rel="">GO</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons -->

<!-- wp:social-links {"openInNewTab":true,"size":"has-small-icon-size","align":"center","layout":{"type":"flex","justifyContent":"center","flexWrap":"wrap"}} -->
<ul class="wp-block-social-links aligncenter has-small-icon-size"><!-- wp:social-link {"url":"#","service":"facebook"} /-->

<!-- wp:social-link {"url":"#","service":"twitter"} /-->

<!-- wp:social-link {"url":"#","service":"youtube"} /-->

<!-- wp:social-link {"url":"#","service":"instagram"} /--></ul>
<!-- /wp:social-links --></div></div>
<!-- /wp:cover -->',
		  )
	);		
}
add_action( 'init', 'wpmegaintro_register_my_patterns' );